﻿"""
TBC Macro to create MDI view (and show TBC help)
"""
import clr
# Reference the WPF assemblies
clr.AddReference('IronPython.Wpf')
import wpf
from System.IO import StreamReader
from System.Windows.Controls import UserControl, Grid
from System.Windows.Input import Keyboard
from Trimble.DiskIO import OptionsManager

def Setup(cmdData, macroFileFolder):
    cmdData.Key = "ViewTest"
    cmdData.CommandName = "ViewTest"
    cmdData.Caption = "_ViewTest"
    cmdData.UIViewForm = "ViewTest"

class ViewTest(Grid): # this is the control placed in the view
    def __init__(self, currentProject, macroFileFolder):
        with StreamReader(macroFileFolder + r"\ViewTest.xaml") as s:
            wpf.LoadComponent(self, s)
        self.currentProject = currentProject

    def xGetViewState(self, state):
        OptionsManager.SetValue("TestView:option1", 5)
        return True

    def xSetViewState(self, state):
        option1 = OptionsManager.GetInt("TestView:option1", 0)
        pass
